summaryrefslogtreecommitdiff
path: root/recipes/mythfront/mythfront-config/tftp.sh
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/mythfront/mythfront-config/tftp.sh
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/mythfront/mythfront-config/tftp.sh')
-rwxr-xr-xrecipes/mythfront/mythfront-config/tftp.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/recipes/mythfront/mythfront-config/tftp.sh b/recipes/mythfront/mythfront-config/tftp.sh
new file mode 100755
index 0000000000..8ac4bf8020
--- /dev/null
+++ b/recipes/mythfront/mythfront-config/tftp.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+case $1 in
+ renew|bound)
+ ;;
+ *)
+ exit 0
+ ;;
+esac
+
+bootdir=`dirname $boot_file`
+
+files="mysql.txt lircrc mythfront.config"
+
+mkdir /var/lib/config
+cd /var/lib/config
+
+for fn in $files; do
+ if ! tftp -g $siaddr -r $bootdir/mythfront/$ip/$fn -l $fn; then
+ if ! tftp -g $siaddr -r $bootdir/mythfront/default/$fn -l $fn; then
+ rm -f $fn
+ fi
+ fi
+done
+
+if [ -f ./mythfront.config ]; then
+ . ./mythfront.config
+ if [ "x$REMOTE" != "x" ]; then
+ fn=`find /usr/share/lirc/remotes -name lircd.conf.$REMOTE`
+ if [ "x$fn" != "x" ]; then
+ rm -f lircd.conf
+ ln -sf $fn lircd.conf
+ fi
+ fi
+fi
+